# $Revision: 1.4 $, $Date: 2003/06/17 18:57:50 $
Summary:	PHP XML Parser with validation
Summary(pl):	Parser XML z kontrol poprawnoci dla PHP
Name:		php-xerces
Version:	0.8
Release:	1
License:	Apache
Group:		Libraries
Source0:	http://ggodlewski.host.sk/download/php-xerces/%{name}-%{version}.tar.gz
URL:		http://ggodlewski.host.sk/php/xerces
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	xerces-c-devel
BuildRequires:	php-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/php

%description
This extension lets you create XML parsers and then
define handlers for different XML events.
It can also validate documents with DTD and XML-Schema.

%description -l pl
Modu PHP umoliwiajcy parsowanie plikw XML i obsug zdarze
zwizanych z tymi plikami.
Potrafi rwnie sprawdza poprawno dokumentw w oparciu
o DTD i XML-Schema.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/php-module-install remove xerces %{_sysconfdir}/php.ini
fi

%post
%{_sbindir}/php-module-install install xerces %{_sysconfdir}/php.ini

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%{_libdir}/php/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-xerces.spec,v $
Revision 1.4  2003/06/17 18:57:50  ggodlewski
- 0.5 version

Revision 1.3  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/26 19:40:57  ggodlewski
- initial release

