#!/usr/bin/php
<?
  dl("xerces.so");

  $text=<<<END
<?xml version='1.0' encoding='iso8859-1'?>
<!DOCTYPE company [
<!ELEMENT company     (product,category,developedAt)>
<!ELEMENT product     (#PCDATA)>
<!ELEMENT category    (#PCDATA)>
<!ATTLIST category didea CDATA #IMPLIED>
<!ELEMENT developedAt (#PCDATA)>
]>
<company>
    <product>XML4C</product>
    <category idea='great'>XML Parsing Tools</category>
    <developedAt>
      IBM Center for Java Technology, Silicon Valley, Cupertino, CA
    </developedAt>
</company>
END;

function h_start($a,$b,$c)
{
  echo "START: $b\n";
  print_r($c);
}

function h_end($a,$b)
{
  echo "END: $b\n";
}

function h_data($a,$b)
{
  echo "DATA: $b\n";
}

function h_err($a,$b,$c,$d)
{
  echo "ERR ($b,$c): $d\n";
}

function h_ferr($a,$b,$c,$d)
{
  echo "FERR ($b,$c): $d\n";
}

function h_war($a,$b,$c,$d)
{
  echo "WAR ($b,$c): $d\n";
}

/*
  $parser=&xml_parser_create();
  xml_set_element_handler($parser,"h_start","h_end");
  xml_set_character_data_handler($parser,"h_data");
  xml_parse($parser,$text);
*/

  $parser=&xerces_parser_create();

  xerces_set_element_handler($parser,"h_start","h_end");
  xerces_set_character_data_handler($parser,"h_data");
  xerces_set_error_handler($parser,"h_err");
  xerces_set_fatalerror_handler($parser,"h_ferr");
  xerces_set_warning_handler($parser,"h_war");
  xerces_set_fatalerror_handler($parser,"h_err");

//  xerces_parser_set_option($parser,XERCES_OPTION_DO_SCHEMA,true);
//  xerces_parser_set_option($parser,XERCES_OPTION_SCHEMA_FULL_CHECKING,true);
  xerces_parser_set_option($parser,XERCES_OPTION_VAL_SCHEME,"always");

  xerces_parse($parser,$text);
  xerces_parser_free($parser);

?>
